#ifndef TRANSADF_TD_H
#define TRANSADF_TD_H


/*--------------------*/
/* TrackDisk Routines */
/*--------------------*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif /* EXEC_TYPES_H */

#ifndef DEVICES_TRACKDISK_H
#include <devices/trackdisk.h>
#endif /* DEVICES_TRACKDISK_H */


/*---------------------*/
/* Function Prototypes */
/*---------------------*/

BYTE readTrack  ( APTR  rBuffer, UBYTE  rNumTracks, UBYTE rTrackNum,
                  struct IOExtTD *rDiskReq);

BYTE writeTrack ( APTR  wBuffer, UBYTE  wNumTracks, UBYTE wTrackNum,
                  struct IOExtTD *wDiskReq);


/*---------------*/
/* Useful Macros */
/*---------------*/

#define TRACK_SIZE  (TD_SECTOR * NUMSECS) /* Number of bytes in one track */
#define LOW_TRACK   0                     /* The first track on a disk    */
#define HIGH_TRACK  159                   /* The last track on a disk     */

#endif /* TRANSADF_TD_H */
